import { db } from '../models';
import { reportError } from '../core/utils';

export default async function executeTask(name: string, args: object): Promise<void> {
  await db.ready();
  try {
    await require(`../tasks/${name}`).default.apply({}, args);
  } catch (error) {
    reportError(error, { message: 'Unhandled task executer error' });
  } finally {
    process.nextTick(() => process.exit());
  }
}
