import { Request, Response } from 'express';
import { reportError } from '../../core/utils';
import { WikidotPage } from '../../models';

export default async (req: Request, res: Response) => {
  try {
    const name = await WikidotPage.getRandomRuPageName();
    res.redirect(`http://scpfoundation.net/${name}`);
  } catch (error) {
    res.status(500).send('Unhandled internal error, incident reported');
    reportError(error, { tags: { location: 'wikidot/random-page' } });
  }
};
