'use strict';

exports.up = knex => knex.raw(`
  CREATE TABLE wikidot_users
  (
    uid      INTEGER      NOT NULL
      CONSTRAINT wikidot_users_pkey
      PRIMARY KEY,
    username VARCHAR(100) NOT NULL,
    reg_date TIMESTAMP,
    about    TEXT,
    memberships JSONB
  );

  CREATE UNIQUE INDEX wikidot_users_uid_uindex
    ON wikidot_users (uid);

  CREATE UNIQUE INDEX wikidot_users_username_uindex
    ON wikidot_users (username);
`);

exports.down = knex => knex.raw(`
  DROP TABLE wikidot_users;
`);
