'use strict';

exports.up = knex => knex.raw(`
  CREATE TABLE public.wikidot_pages
  (
    id         SERIAL PRIMARY KEY NOT NULL,
    name       TEXT               NOT NULL,
    title      TEXT,
    wiki_name  VARCHAR(30),
    wikidot_id INT,
    content    TEXT,
    html       TEXT,
    created_at TIMESTAMP,
    updated_at TIMESTAMP,
    created_by TEXT,
    updated_by TEXT,
    tags       TEXT [],
    rating     INT,
    votes      JSONB
  );
  CREATE UNIQUE INDEX wikidot_pages_id_uindex
    ON public.wikidot_pages (id);
  CREATE UNIQUE INDEX wikidot_pages_wiki_name_name_uindex
    ON public.wikidot_pages (wiki_name, name);
`);

exports.down = knex => knex.raw(`
  DROP TABLE wikidot_pages;
`);
