import { Model } from '.';
import { wk } from '../components/wikidot-kit';
import { batchedEnqueue, logImportant } from '../core/utils';

export default class Branch extends Model {
  public name: string;

  public static get tableName(): string {
    return 'branches';
  }

  public async importPages(): Promise<void> {
    logImportant(`Performing pages import for wiki ${this.name}`);
    const pagesList = await wk.fetchPagesList(this.name);

    const tasks = pagesList.map(pageName => ({
      task: 'page-import',
      args: [this.name, pageName],
    }));

    await batchedEnqueue(tasks, 'import');
  }
}
