'use strict';

const { Model } = require('.');

export default class WikidotPage extends Model {
  public wikiName: string;

  public name: string;

  public title: string;

  public content: string;

  public tags: string[];

  public rating: number;

  public html: string;

  public createdAt: Date;

  public createdBy: Date;

  public updatedAt: Date;

  public updatedBy: Date;

  public static get tableName(): string {
    return 'wikidot_pages';
  }

  public static upsert(page: object): WikidotPage {
    const knex = this.primary;
    const insert = knex(WikidotPage.tableName).insert(page);
    const update = knex.queryBuilder().update(page);
    return knex.raw('? ON CONFLICT (name, wiki_name) DO ? returning *', [insert, update]).get('rows').get(0);
  }

  public static getRandomRuPageName(): string {
    return this.replica.raw('SELECT name FROM wikidot_ru_random_page_view').then((r: WikidotPage) => r.rows[0].name);
  }
}
