"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const repl = require("repl");
async function runConsole() {
    process.env.REPL_MODE = '1';
    await models_1.db.ready();
    let knex;
    try {
        knex = models_1.db.primary;
    }
    catch (_a) {
        console.log('No master available, trying to start in read-only mode');
        knex = models_1.db.replica;
    }
    if (!knex) {
        console.error('No connections available, exiting');
    }
    models_1.Model.knex(knex);
    const replServer = repl.start();
    replServer.context.r = (p) => {
        p.then(result => console.log('\n\n', result, '\n\nPress enter to continue')).catch(console.error);
    };
    replServer.context.s = (p) => {
        p.then(() => console.log('\n\nDone', '\n\nPress enter to continue')).catch(console.error);
    };
    replServer.context.Model = models_1.Model;
    replServer.context.WikidotUser = models_1.WikidotUser;
    replServer.context.WikidotPage = models_1.WikidotPage;
    replServer.context.Branch = models_1.Branch;
    replServer.context.Draft = models_1.Draft;
}
exports.default = runConsole;
//# sourceMappingURL=console.js.map