"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
function schedule(queueName, taskName, taskArguments) {
    utils_1.log(`[scheduling] Trying to schedule task ${taskName} in queue ${queueName} with args ${JSON.stringify(taskArguments)}`);
    utils_1.enqueue(taskName, taskArguments, queueName)
        .then(() => {
        utils_1.logImportant(`[scheduling] Task ${taskName} scheduled in queue ${queueName} with args ${JSON.stringify(taskArguments)}`);
    })
        .catch((error) => {
        utils_1.logImportant(`[scheduling] Task ${taskName} scheduling has failed`);
        utils_1.reportError(error, { extra: { taskName, taskArguments, queueName } });
    })
        .then(() => {
        // Give time to logger to write buffer (probably should use pino.flush here instead)
        setTimeout(() => {
            process.nextTick(() => process.exit());
        }, 10);
    });
}
exports.default = schedule;
//# sourceMappingURL=scheduler.js.map