"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const utils_1 = require("../core/utils");
async function executeTask(name, args) {
    await models_1.db.ready();
    try {
        await require(`../tasks/${name}`).default.apply({}, args);
    }
    catch (error) {
        utils_1.reportError(error, { message: 'Unhandled task executer error' });
    }
    finally {
        process.nextTick(() => process.exit());
    }
}
exports.default = executeTask;
//# sourceMappingURL=tasks-executer.js.map