"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
exports.default = async (req, res) => {
    const id = models_1.Draft.ID_REG.test(req.params.id) && req.params.id;
    if (!id) {
        res.status(400).send({ error: 'Missing or incorrect draft id' });
        return;
    }
    const { title, content } = req.body;
    if (!title || !content) {
        res.status(400).send({ error: 'Missing title or content' });
    }
    const result = await models_1.Draft.query(models_1.db.primary)
        .where({ id })
        .first()
        .update({
        title,
        content,
        updatedAt: new Date(),
    })
        .returning('updated_at');
    if (result) {
        res.send(result);
    }
    else {
        res.status(404).send({ error: 'Draft not found' });
    }
};
//# sourceMappingURL=update.js.map