"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require('dotenv').config();
/* eslint-disable import/first */
const console_1 = require("./components/console");
const tasks_executer_1 = require("./components/tasks-executer");
const express_1 = require("./core/express");
const utils_1 = require("./core/utils");
const worker_1 = require("./core/worker");
const scheduler_1 = require("./components/scheduler");
require('source-map-support').install();
const action = process.argv[2] || 'server';
function runServer() {
    const port = Number(process.env.PORT) || 4444;
    const listen = express_1.default();
    listen(port);
    utils_1.log('Server is listening');
}
switch (action) {
    case 'server':
        runServer();
        break;
    case 'console':
        console_1.default().catch(console.error);
        break;
    case 'execute':
        tasks_executer_1.default(process.argv[3], process.argv.slice(4))
            .catch((error) => {
            console.error(error);
            process.nextTick(() => process.exit());
        });
        break;
    case 'worker':
        worker_1.default();
        break;
    case 'schedule':
        scheduler_1.default(process.argv[3], process.argv[4], process.argv.slice(5));
        break;
    default:
        throw new Error(`Unknown action "${action}"`);
}
//# sourceMappingURL=index.js.map