"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const wikidot_kit_1 = require("../components/wikidot-kit");
const utils_1 = require("../core/utils");
class Branch extends _1.Model {
    static get tableName() {
        return 'branches';
    }
    async importPages() {
        utils_1.logImportant(`Performing pages import for wiki ${this.name}`);
        const pagesList = await wikidot_kit_1.wk.fetchPagesList(this.name);
        const tasks = pagesList.map(pageName => ({
            task: 'page-import',
            args: [this.name, pageName],
        }));
        await utils_1.batchedEnqueue(tasks, 'import');
    }
}
exports.default = Branch;
//# sourceMappingURL=branch.js.map