'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const { Model } = require('.');
class WikidotUser extends Model {
    static get tableName() {
        return 'wikidot_users';
    }
    static upsert(user) {
        const knex = this.primary;
        const insert = knex(WikidotUser.tableName).insert(user);
        const update = knex.queryBuilder().update(user);
        return knex.raw('? ON CONFLICT (uid) DO ? returning *', [insert, update]).get('rows').get(0);
    }
    static membersWithDiscordTag() {
        return this.replica.raw(`
            SELECT SUBSTRING(about FROM 'Discord<(.*)>') as discord_id
            FROM wikidot_users
            WHERE memberships \\? 'scp-ru' AND about LIKE '%Discord<%>%'
        `).then((result) => result.rows.map(row => row.discord_id));
    }
}
exports.default = WikidotUser;
//# sourceMappingURL=wikidot-user.js.map