"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
const wikidot_kit_1 = require("../components/wikidot-kit");
async function run(siteName) {
    if (!siteName) {
        throw new Error('Site name should be specified');
    }
    const wiki = wikidot_kit_1.SITES[siteName];
    utils_1.logImportant(`Initiating \`${siteName}\` members import`);
    try {
        const membersList = await wikidot_kit_1.WikidotKit.fetchMembersList(wiki.url);
        const tasks = membersList.map(user => ({
            task: 'member-import',
            args: [siteName, user.uid],
        }));
        await utils_1.batchedEnqueue(tasks, 'import');
    }
    catch (error) {
        utils_1.reportError(error, { message: 'Error importing members list' });
    }
}
exports.default = run;
//# sourceMappingURL=members-import-init.js.map